Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.messaging
Class CoordinatorCompletionParticipantProcessorImpl

    java.lang.Object
      com.arjuna.webservices.wsba.processors.CoordinatorCompletionParticipantProcessor
          com.arjuna.wst.messaging.CoordinatorCompletionParticipantProcessorImpl

public class CoordinatorCompletionParticipantProcessorImpl
extends com.arjuna.webservices.wsba.processors.CoordinatorCompletionParticipantProcessor

The Coordinator Completion Participant processor.

Author:
  kevin

Constructor Summary
`CoordinatorCompletionParticipantProcessorImpl()`

Method Summary
`void` | `activateParticipant(com.arjuna.webservices.wsba.CoordinatorCompletionParticipantInboundEvents participant, java.lang.String identifier)` Activate the participant.
`void` | `cancel(com.arjuna.webservices.wsba.NotificationType cancel, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Cancel.
`void` | `close(com.arjuna.webservices.wsba.NotificationType close, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Close.
`void` | `compensate(com.arjuna.webservices.wsba.NotificationType compensate, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Compensate.
`void` | `complete(com.arjuna.webservices.wsba.NotificationType complete, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Complete.
`void` | `deactivateParticipant(com.arjuna.webservices.wsba.CoordinatorCompletionParticipantInboundEvents participant)` Deactivate the participant.
`void` | `exited(com.arjuna.webservices.wsba.NotificationType exited, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Exited.
`void` | `faulted(com.arjuna.webservices.wsba.NotificationType faulted, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Faulted.
`void` | `getStatus(com.arjuna.webservices.wsba.NotificationType getStatus, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Get Status.
`void` | `soapFault(com.arjuna.webservices.SoapFault fault, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` SOAP Fault.
`void` | `status(com.arjuna.webservices.wsba.StatusType status, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Status.

Methods inherited from class com.arjuna.webservices.wsba.processors.CoordinatorCompletionParticipantProcessor
`getProcessor, setProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinatorCompletionParticipantProcessorImpl

    public CoordinatorCompletionParticipantProcessorImpl()

Method Detail

### activateParticipant

    public void activateParticipant(com.arjuna.webservices.wsba.CoordinatorCompletionParticipantInboundEvents participant,
                                    java.lang.String identifier)

  Activate the participant.

  Parameters:
    `participant` - The participant.
    `identifier` - The identifier.

### deactivateParticipant

    public void deactivateParticipant(com.arjuna.webservices.wsba.CoordinatorCompletionParticipantInboundEvents participant)

  Deactivate the participant.

  Parameters:
    `participant` - The participant.

### cancel

    public void cancel(com.arjuna.webservices.wsba.NotificationType cancel,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Cancel.

  Parameters:
    `cancel` - The cancel notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### close

    public void close(com.arjuna.webservices.wsba.NotificationType close,
                      com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                      com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Close.

  Parameters:
    `close` - The close notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### compensate

    public void compensate(com.arjuna.webservices.wsba.NotificationType compensate,
                           com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                           com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Compensate.

  Parameters:
    `compensate` - The compensate notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### complete

    public void complete(com.arjuna.webservices.wsba.NotificationType complete,
                         com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                         com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Complete.

  Parameters:
    `complete` - The complete notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### exited

    public void exited(com.arjuna.webservices.wsba.NotificationType exited,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Exited.

  Parameters:
    `exited` - The exited notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### faulted

    public void faulted(com.arjuna.webservices.wsba.NotificationType faulted,
                        com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                        com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Faulted.

  Parameters:
    `faulted` - The faulted notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### getStatus

    public void getStatus(com.arjuna.webservices.wsba.NotificationType getStatus,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Get Status.

  Parameters:
    `getStatus` - The get status notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### status

    public void status(com.arjuna.webservices.wsba.StatusType status,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Status.

  Parameters:
    `status` - The status.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### soapFault

    public void soapFault(com.arjuna.webservices.SoapFault fault,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  SOAP Fault.

  Parameters:
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD